Author Topic: OpenZaurus 3.5.1 released !!!  (Read 27707 times)

zenyatta

  • Sr. Member
  • ****
  • Posts: 366
    • View Profile
    • http://
OpenZaurus 3.5.1 released !!!
« Reply #105 on: October 05, 2004, 06:26:30 am »
Well, after a few problems (including being convinced for almost a day that I'd bricked my Z), I have successfully flashed the Opie image. There are a ton of little things that annoy me but there is one major improvement that just makes it 1000% worthwhile:

The Medium Mount control panel allows me to tell Opie to scan only specific subdirectories for media files. It means that when I insert my CF card loaded with complete HTML references for Python, Qt and DOM, I don't have to wait close to three minutes before I can proceed with my work. Another benefit is that my Documents tab is no longer cluttered with hundreds of files I don't care about.

This makes a huge difference for me and makes my Zaurus orders of magnitude more useable. The UI for this feature is not very elegant, of course, but I still feel absolutely extatic about it. Thanks guys!

z.

P.S. Sorry if anyone has written about it already, I'm just really excited
SL-5500, 256MB Kingston CF card, 128MB EDGE SD card, Thomson HED-155 headphones
OpenZaurus 3.5.3 / Opie (kernel 64-0)

sriram.rajan

  • Newbie
  • *
  • Posts: 11
    • View Profile
OpenZaurus 3.5.1 released !!!
« Reply #106 on: October 06, 2004, 01:25:19 am »
Can anyone give a statement about the differences between the GPE for the 7xx/8xx series and pdaXrom?  

It seems to me that a lot of the PIM apps that are or will be porrted for the GPE versions would be nice to have on pdaXrom, and many of the powerful X11 apps ported for pdaXrom would work on the GPE.  Is there a need to recompile in either direction?  

In the default image for the GPE, what PIM apps are available?  I have tried to find a listing of the contents of the GPE image, but have not been successful.  

Would be nice to heear your perspective on pdaXrom/GPE application interoperability.  Thanks!

lardman

  • Hero Member
  • *****
  • Posts: 4512
    • View Profile
    • http://people.bath.ac.uk/enpsgp/Zaurus/
OpenZaurus 3.5.1 released !!!
« Reply #107 on: October 06, 2004, 06:34:35 am »
Quote
It seems to me that a lot of the PIM apps that are or will be porrted for the GPE versions would be nice to have on pdaXrom, and many of the powerful X11 apps ported for pdaXrom would work on the GPE. Is there a need to recompile in either direction?

Sometimes, OZ doesn't like the control files in the pdaXrom ipks (this is an easy fix, but it requires taking the ipk to pieces). The other possible issue for OZ is the possible dependencies (I'm not sure whether all are available yet).

PdaXrom has a greater problem in that OZ is linked against libc2.3, while pdaXrom is still using libc2.2. This means that without LD_LIBRARY_PATH trickery (which I'm told should work) the OZ apps simply won't run on pdaXrom.


Simon
C750 OZ3.5.4 (GPE, 2.6.x kernel)
SL5500 OZ3.5.4 (Opie)
Nokia 770
Serial GPS, WCF-12, Socket Ethernet & BT, Ratoc USB
WinXP, Mandriva

Snooby

  • Jr. Member
  • **
  • Posts: 68
    • View Profile
    • http://
OpenZaurus 3.5.1 released !!!
« Reply #108 on: October 06, 2004, 06:48:23 pm »
I have flashed my SL-5500 about 50 times so I know how it goes...but i just can't get ANY version of OZ 3.5.1 to work !!!

When i do a RESET+C+D - Lights come on for about 30 secs then that's it.
If i boot the 5500 i get an OZ banner at the top, but a shedload of lines scroll past until it eventually stops and tells me that my existing ext2 partition cannot be used.

I flashed back to TKC2.0 and all is well.

Any ideas ??
SL-5500 with tkc 2.0 Alpha 3.0 (/home on SD)
Kingston 256MB SD Card
Fujifilm 128MB CF Card
Wisgo 802.11b CF Wireless LAN Card
XP Pro, Redhat 7.3

Mickeyl

  • Hero Member
  • *****
  • Posts: 1495
    • View Profile
    • http://www.Vanille.de
OpenZaurus 3.5.1 released !!!
« Reply #109 on: October 06, 2004, 08:48:19 pm »
30 secs means only the kernel gets flashed - no wonder that the OZ kernel doesn't want to work with some arbitrary initrd.bin because it expects different things.

You either didn't rename the initrd.bin properly or got a corrupt download or a couple of bad blocks on your CF or something along those lines.
« Last Edit: October 06, 2004, 08:50:28 pm by Mickeyl »
Cheers,

Michael 'Mickey' Lauer | Embedded Linux Freelancer | www.Vanille-Media.de
Consider donating, if you like the software I contribute to.

Snooby

  • Jr. Member
  • **
  • Posts: 68
    • View Profile
    • http://
OpenZaurus 3.5.1 released !!!
« Reply #110 on: October 09, 2004, 07:39:02 pm »
I managed to work out what was going wrong.

The images would not flash over my current setup. I flashed with an Ospack, then with OZ 3.5.1  and it worked fine. I tried this with a couple of other ROMs with same results.

Flashed back to my original setup and it failed again *shrug*

Anyways, after playing with OZ3.5.1 for a while I've gone back to my original setup - I'm not saying it's crap, it's just not right for me
« Last Edit: October 09, 2004, 07:41:04 pm by Snooby »
SL-5500 with tkc 2.0 Alpha 3.0 (/home on SD)
Kingston 256MB SD Card
Fujifilm 128MB CF Card
Wisgo 802.11b CF Wireless LAN Card
XP Pro, Redhat 7.3

jdralphs

  • Full Member
  • ***
  • Posts: 170
    • View Profile
    • http://
OpenZaurus 3.5.1 released !!!
« Reply #111 on: October 09, 2004, 10:10:48 pm »
mickeyl (or anyone else),

Is there any way to install ipkg's from the CF/SD cards?  I'm having so much difficulty installing anything, I thikn I'll probly go back to the Sharp Rom
SL-5500
Hentges 3.5.4.1
Kingmax 1gb SD
Lexar 1gb CF
Belkin IR Keyboard
Socket 56k Modem CF
Linksys 802.11b CF

panyo

  • Jr. Member
  • **
  • Posts: 88
    • View Profile
    • http://
OpenZaurus 3.5.1 released !!!
« Reply #112 on: October 10, 2004, 03:09:35 am »
Quote
mickeyl (or anyone else),

Is there any way to install ipkg's from the CF/SD cards?  I'm having so much difficulty installing anything, I thikn I'll probly go back to the Sharp Rom
I have been installing from the comand line with
Code: [Select]
ipkg install -d sd /mnt/cf/feed/I have added /mnt/card/usr/bin to my path to get at the
installed files and have been making links to installed libraries
by hand.
« Last Edit: October 10, 2004, 03:10:26 am by panyo »
SL5500  OZ3.5.2 (Opie), Dvorak built in keyboard
Spectrum24 Ethernet
SanDisk 256 ext2 (AR0401RF China) SD
Lexar 256 VFAT (P/N 2260, Rev. A), Transcend 128 ext2 CF
Pismo, Cube, 8600, Gentoo PowerPC, YellowDog

lardman

  • Hero Member
  • *****
  • Posts: 4512
    • View Profile
    • http://people.bath.ac.uk/enpsgp/Zaurus/
OpenZaurus 3.5.1 released !!!
« Reply #113 on: October 10, 2004, 06:37:53 am »
@panyo:

After installing run ipkg-link ('ipkg-link mount /mnt/card' for your above example); this will create the symlinks for you. Also no need to add anything to the $PATH.

@jdralphs:

# cd /mnt/cf
# ipkg install ..... and so on

or....

assuming you have a packages file in the dir with your ipks, you can create a new feed and put the url as file:///mnt/cf, and then use the GUI package manager.


Si
C750 OZ3.5.4 (GPE, 2.6.x kernel)
SL5500 OZ3.5.4 (Opie)
Nokia 770
Serial GPS, WCF-12, Socket Ethernet & BT, Ratoc USB
WinXP, Mandriva

r2satellite

  • Newbie
  • *
  • Posts: 4
    • View Profile
OpenZaurus 3.5.1 released !!!
« Reply #114 on: October 10, 2004, 06:45:03 am »
The 3.5.1 package manager is horribly flaky.  Can't go wrong with a nice clean ipkg/ipkg-link combo.  Any luck with the other GUI package manager that's in the feeds?  (that's the older one, right?)

RickG03

  • Newbie
  • *
  • Posts: 3
    • View Profile
OpenZaurus 3.5.1 released !!!
« Reply #115 on: October 15, 2004, 03:22:35 pm »
Quote
Sometimes, OZ doesn't like the control files in the pdaXrom ipks (this is an easy fix, but it requires taking the ipk to pieces).
Simon,

How do the control files need to be modified? I would like to try some of the pdaXrom apps on GPE but ipkg doesn't like the .ipk files. I am assuming this is the control file issue you mentioned. Do you know what needs to be modified?

Thanks,

Rick

lardman

  • Hero Member
  • *****
  • Posts: 4512
    • View Profile
    • http://people.bath.ac.uk/enpsgp/Zaurus/
OpenZaurus 3.5.1 released !!!
« Reply #116 on: October 15, 2004, 10:02:14 pm »
Not really sure to tell the truth, I looked at it a long while back and moved on (and forgot :-)).

I am sure it's the control files though.

Look for empty lines, capitals in the app name (hmm? - perhaps - sounds familiar), etc.


Si
C750 OZ3.5.4 (GPE, 2.6.x kernel)
SL5500 OZ3.5.4 (Opie)
Nokia 770
Serial GPS, WCF-12, Socket Ethernet & BT, Ratoc USB
WinXP, Mandriva

RickG03

  • Newbie
  • *
  • Posts: 3
    • View Profile
OpenZaurus 3.5.1 released !!!
« Reply #117 on: October 16, 2004, 02:07:17 am »
Thanks. I'll try to compare the OZ ipk control files with the pdaXrom files to see if I can make them work. If I get the packages working, I'll post the steps needed here.

-Rick

papercrane

  • Jr. Member
  • **
  • Posts: 65
    • View Profile
    • http://reversefold.com
OpenZaurus 3.5.1 released !!!
« Reply #118 on: October 16, 2004, 05:59:52 am »
I've had lots of problems with other roms' ipks and it always seems to be an extra line in the control file (Hancom, TKC) or multi-line parameters (TKC). I don't know for sure about pdaXrom as I've never used it. Perhaps someone should submit a patch/patches to ipkg....

lardman

  • Hero Member
  • *****
  • Posts: 4512
    • View Profile
    • http://people.bath.ac.uk/enpsgp/Zaurus/
OpenZaurus 3.5.1 released !!!
« Reply #119 on: October 16, 2004, 06:29:00 am »
Quote
Perhaps someone should submit a patch/patches to ipkg....

Hear, hear.

This would obviously be an easier solution than having to manually alter each file.


Si
C750 OZ3.5.4 (GPE, 2.6.x kernel)
SL5500 OZ3.5.4 (Opie)
Nokia 770
Serial GPS, WCF-12, Socket Ethernet & BT, Ratoc USB
WinXP, Mandriva